## com.google.javascript.jscomp
Class FunctionInformationMap.Module.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<FunctionInformationMap.Module.Builder>
                  com.google.javascript.jscomp.FunctionInformationMap.Module.Builder

All Implemented Interfaces:
  FunctionInformationMap.ModuleOrBuilder, com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable

Enclosing class:
  FunctionInformationMap.Module

    public static final class FunctionInformationMap.Module.Builder

extends com.google.protobuf.GeneratedMessage.Builder<FunctionInformationMap.Module.Builder>
implements FunctionInformationMap.ModuleOrBuilder

Method Summary
`FunctionInformationMap.Module` | `build()`
`FunctionInformationMap.Module` | `buildPartial()`
`FunctionInformationMap.Module.Builder` | `clear()`
`FunctionInformationMap.Module.Builder` | `clearCompiledSource()`
`FunctionInformationMap.Module.Builder` | `clearName()`
`FunctionInformationMap.Module.Builder` | `clone()`
`String` | `getCompiledSource()`
`FunctionInformationMap.Module` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`String` | `getName()`
`boolean` | `hasCompiledSource()`
`boolean` | `hasName()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`FunctionInformationMap.Module.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`FunctionInformationMap.Module.Builder` | `mergeFrom(FunctionInformationMap.Module other)`
`FunctionInformationMap.Module.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`FunctionInformationMap.Module.Builder` | `setCompiledSource(String value)`
`FunctionInformationMap.Module.Builder` | `setName(String value)`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<FunctionInformationMap.Module.Builder>`

### clear

    public FunctionInformationMap.Module.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<FunctionInformationMap.Module.Builder>`

### clone

    public FunctionInformationMap.Module.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<FunctionInformationMap.Module.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<FunctionInformationMap.Module.Builder>`

### getDefaultInstanceForType

    public FunctionInformationMap.Module getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public FunctionInformationMap.Module build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public FunctionInformationMap.Module buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public FunctionInformationMap.Module.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<FunctionInformationMap.Module.Builder>`

### mergeFrom

    public FunctionInformationMap.Module.Builder mergeFrom(FunctionInformationMap.Module other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<FunctionInformationMap.Module.Builder>`

### mergeFrom

    public FunctionInformationMap.Module.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<FunctionInformationMap.Module.Builder>`
  Throws:
    `IOException`

### hasName

    public boolean hasName()

  Specified by:
    `hasName` in interface `FunctionInformationMap.ModuleOrBuilder`

### getName

    public String getName()

  Specified by:
    `getName` in interface `FunctionInformationMap.ModuleOrBuilder`

### setName

    public FunctionInformationMap.Module.Builder setName(String value)

### clearName

    public FunctionInformationMap.Module.Builder clearName()

### hasCompiledSource

    public boolean hasCompiledSource()

  Specified by:
    `hasCompiledSource` in interface `FunctionInformationMap.ModuleOrBuilder`

### getCompiledSource

    public String getCompiledSource()

  Specified by:
    `getCompiledSource` in interface `FunctionInformationMap.ModuleOrBuilder`

### setCompiledSource

    public FunctionInformationMap.Module.Builder setCompiledSource(String value)

### clearCompiledSource

    public FunctionInformationMap.Module.Builder clearCompiledSource()